Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000549Core InformAssertions and creationspublic2011-02-09 20:592014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000549: Internal error placing a kind of value
DescriptionI found this trying to recreate the situation in 0000541 where ``the last build on the Win IDE produced problem messages.'' The source provokes:

- - - -
An internal error has occurred: joining to null inference subject. The current sentence is 'Here is an X' ; the error was detected at line 566 of "Chapter 18/Inferences.w".
- - - -
Minimal Source Text To Reproduce
There is a room.
X is a kind of value.
Here is an X.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships
has duplicate 0000901closed 'Here is a scene' gives an internal error. 

-  Notes
(0001331)
graham (administrator)
2011-10-08 01:29

Fixed; there's now a rather philosophical problem message.

- Issue History
Date Modified Username Field Change
2011-02-09 20:59 EmacsUser New Issue
2011-02-12 18:41 jmcgrew Status new => acknowledged
2011-05-30 22:04 jmcgrew Status acknowledged => confirmed
2011-10-08 01:29 graham Note Added: 0001331
2011-10-08 01:29 graham Status confirmed => resolved
2011-10-08 01:29 graham Resolution open => fixed
2011-10-08 01:29 graham Assigned To => graham
2012-04-06 13:16 EmacsUser Relationship added has duplicate 0000901
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker